%define name	libusb
%define	version	0.1.7
%define	release	1mdk

%define major	0.1_4
%define libname	%mklibname usb %major

Summary:	Libusb is a library which allows userspace access to USB devices
Name:		%name
Version:	%version
Release:	%release
Source0:	http://download.sourceforge.net/libusb/%{name}-%{version}.tar.bz2
License:	LGPL
Group:		System/Libraries
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
URL:		http://sourceforge.net/projects/libusb/
Conflicts:	kdegraphics < 2.2.2-4mdk, libgphoto2 < 2.0-0.beta3.5mdk, libgpio0 < 0.0.2-5mdk, libsane1 < 1.0.7-0.beta2.1mdk

%description
Libusb is a library which allows
userspace access to USB devices


%package -n %{libname}
Summary:        Libusb is a library which allows userspace access to USB devices
Group:          System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
Libusb is a library which allows
userspace access to USB devices

%package -n %{libname}-devel
Summary:        Libusb is a library which allows userspace access to USB devices
Group:          Development/C
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{name}0.1-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{libname}-devel
The %{name}-devel package includes the header files and .so libraries
necessary for developing programs which will access USB devices using
the %{name} library.

If you are going to develop programs which will access USB devices,
you should install %{name}-devel.  You'll also need to have the %name
package installed.


%package -n %{libname}-static-devel
Summary:        Static libraries for libusb
Group:          Development/C
Provides:	%{name}-static-devel = %{version}-%{release}
Requires:	%{libname}-devel = %{version}-%{release}

%description -n %{libname}-static-devel
The %{name}-devel package includes the static libraries
necessary for developing programs which will access USB devices using
the %{name} library.

If you are going to develop programs which will access USB devices,
you should install %{name}-devel.  You'll also need to have the %name
package installed.

%prep
%setup -q

%build
%configure
%make

%install
%makeinstall_std

%clean
rm -rf %buildroot

%post -p /sbin/ldconfig -n %{libname}
%postun -p /sbin/ldconfig -n %{libname}


%files -n %{libname}
%defattr(-,root,root)
%doc README
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%doc AUTHORS README INSTALL.libusb NEWS ChangeLog
%{_bindir}/libusb-config
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.la

%files -n %{libname}-static-devel
%defattr(-,root,root)
%doc README
%{_libdir}/*.a

%changelog
* Thu Jul 31 2003 Till Kamppeter <till@mandrakesoft.com> 0.1.7-1mdk
- Updated to 0.1.7 (needed for GPhoto2 2.1.2).

* Wed Jul 09 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.1.6a-5mdk
- rebuild

* Mon May 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.1.6a-4mdk
- Rebuild

* Mon Apr 14 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.6a-3mdk
- make it %%mklibname aware

* Mon Jul 22 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.6a-2mdk
- rpmlint fixes

* Tue Jul  2 2002 Till Kamppeter <till@mandrakesoft.com> 0.1.6a-1mdk
- Updated to 0.1.6a (needed for GPhoto2 2.1, contributed by Aaron Peromsik
  <aperomsik@mail.com>).

* Wed Jun 26 2002 Yves Duret <yduret@mandrakesoft.com> 0.1.5-3mdk
- put back the .la in devel.

* Fri May 17 2002 Yves Duret <yduret@mandrakesoft.com> 0.1.5-2mdk
- 9.0 lib policy: added %libname-static-devel
- manual rebuild in gcc3.1 environment :)

* Sat Feb 16 2002 Yves Duret <yduret@mandrakesoft.com> 0.1.5-1mdk
- version 0.1.5
- remove patch0 (disable doc generation) no more needed
- spec clean up, macros...
- fix provides name AND release
- better -devel description

* Thu Jan 31 2002 Frederic Lepied <flepied@mandrakesoft.com> 0.1.4-2mdk
- added Conflicts to ease upgrade

* Mon Jan 28 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.4-1mdk
- Release 0.1.4
- Fix name of package to be rpmlint compliant
- Patch0: Disable doc generation, it fails

* Tue Oct 25 2001 Ludovic Francois <lfrancois@mandrakesoft.com> 0.1.3b-2mdk
- Rebuild for rpmlint

* Thu Mar  1 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.3b-1mdk
- Initial Mandrake release


# end of file
